/*
 * @Descripttion: 
 * @version: 
 * @Author: 王三华
 * @Date: 2024-08-23 14:39:55
 */
import request from '@/utils/request'
//体验卡列表
export function cabinCardList(params) {
  return request({
    url: '/sale/manage/cabin-card/taste-list',
    method: 'get',
    params
  })
}
//店铺类型
export function storeTypeList(params) {
  return request({
    url: '/system/pub/enums/storeType',
    method: 'get',
    params
  })
}
//体系
export function findAllList(params) {
  return request({
    url: '/system/manage/vertex/find-all',
    method: 'get',
    params
  })
}
//会员卡配置详情
export function vipCardDetail(params) {
  return request({
    url: '/shop/manager/card-config/detail',
    method: 'get',
    params
  })
}

//会员卡配置列表
export function vipCardList(data) {
  return request({
    url: '/shop/manager/card-config/list',
    method: 'post',
    data
  })
}
//启用状态
export function getEnableStatus(params) {
  return request({
    url: '/system/pub/enums/enable-status',
    method: 'get',
    params
  })
}
//会员卡配置删除
export function vipCardDel(params) {
  return request({
    url: '/shop/manager/card-config/delete',
    method: 'get',
    params
  })
}

//会员卡配置新增
export function vipCardAdd(data) {
  return request({
    url: '/shop/manager/card-config/save',
    method: 'post',
    data
  })
}
//会员卡配置修改
export function vipCardUpdate(data) {
  return request({
    url: '/shop/manager/card-config/update',
    method: 'post',
    data
  })
}

//公告详情
export function shopNoticeDetail(params) {
  return request({
    url: 'shop/manage/shop-notice/detail',
    method: 'get',
    params
  })
}
//公告列表
export function shopNoticeList(params) {
  return request({
    url: 'shop/manage/shop-notice/list',
    method: 'get',
    params
  })
}
//公告新增
export function shopNoticeAdd(data) {
  return request({
    url: 'shop/manage/shop-notice/save',
    method: 'post',
    data
  })
}
//公告修改
export function shopNoticeUpdate(data) {
  return request({
    url: 'shop/manage/shop-notice/update',
    method: 'post',
    data
  })
}
//公告删除
export function shopNoticeDel(data) {
  return request({
    url: 'shop/manage/shop-notice/remove',
    method: 'post',
    data
  })
}
//是否接口
export function getEYesNoList(params) {
  return request({
    url: '/system/pub/enums/yes-no',
    method: 'get',
    params
  })
}
//参数配置查询
export function shopConfig(params) {
  return request({
    url: '/shop/manage/shop-sys-config/list',
    method: 'get',
    params
  })
}

//新增参数配置
export function shopConfigSave(data) {
  return request({
    url: '/shop/manage/shop-sys-config/save',
    method: 'post',
    data
  })
}

//店务会员列表
export function shopMember(params) {
  return request({
    url: '/shop/manage/shop-member/list',
    method: 'get',
    params
  })
}

//店铺查询
export function shopManageList(data) {
  return request({
    url: '/shop/manage/info/list',
    method: 'post',
    data
  })
}
//店铺新增
export function shopManageInsert(data) {
  return request({
    url: '/shop/manage/info/insert',
    method: 'post',
    data
  })
}
//店铺修改
export function shopManageUpdata(data) {
  return request({
    url: '/shop/manage/info/update',
    method: 'post',
    data
  })
}
//店铺删除
export function shopManageDel(pkId) {
  return request({
      url: '/shop/manage/info/' + pkId,
      method: 'delete',
  })
}
//banner列表
export function shopBanner(params) {
  return request({
    url: 'shop/manage/shop-banner/list',
    method: 'get',
    params
  })
}
//banner列表详情
export function shopBannerDetail(params) {
  return request({
    url: 'shop/manage/shop-banner/detail',
    method: 'get',
    params
  })
}
//banner新增
export function shopBannerSave(data) {
  return request({
    url: 'shop/manage/shop-banner/save',
    method: 'post',
    data
  })
}
//banner修改
export function shopBannerUpdate(data) {
  return request({
    url: 'shop/manage/shop-banner/update',
    method: 'post',
    data
  })
}
//banner删除
export function shopBannerDel(params) {
  return request({
    url: 'shop/manage/shop-banner/remove',
    method: 'get',
    params
  })
}
//banner置顶
export function shopBannerTop(params) {
  return request({
    url: 'shop/manage/shop-banner/top-up',
    method: 'get',
    params
  })
}
//门店发起人数据列表
export function makerSpaceList(params) {
  return request({
    url: '/shop/manage/maker-space/list',
    method: 'get',
    params
  })
}
//门店升级改造列表
export function cumakerSpaceList(params) {
  return request({
    url: 'member/manage/cumaker-space/list',
    method: 'get',
    params
  })
}